<?php
/**
 * Copyright (C) 2004 Billy Biggs <vektor@dumbterm.net>.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
?>

<html>
<head>
    <title>Now Playing</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link href="http://mp3/mp3.css" rel="stylesheet" type="text/css">
    <meta http-equiv=Refresh CONTENT="15; URL=http://mp3/control/">
</head>
<body>

<?php $control = "/mp3/control/"; ?>

<div class="bpagemargined">

    <p><table class="mp3box" width="50%">
    <tr><td class="button"><a href="?command=prev">|&lt;&lt;</a>
        <td class="button"><a href="?command=stop">Stop</a>
        <td class="button"><a href="?command=play">Play</a>
        <td class="button"><a href="?command=next">&gt;&gt;|</a>
    </table></p>

    <?php
        $command = $_GET[ "command" ];
        if( !strcmp( $command, "next" ) ) {
            touch("$control" . "skip");
            sleep( 1 );
        } else if( !strcmp( $command, "prev" ) ) {
            touch("$control" . "prev");
            sleep( 1 );
        } else if( !strcmp( $command, "play" ) ) {
            touch("$control" . "play");
        } else if( !strcmp( $command, "stop" ) ) {
            touch("$control" . "stop");
            sleep( 1 );
        } else if( !strcmp( $command, "rewind" ) ) {
            touch("$control" . "rewind");
            sleep( 1 );
        } else if( !strcmp( $command, "quiet" ) ) {
            touch("$control" . "quiet");
        } else if( !strcmp( $command, "mid" ) ) {
            touch("$control" . "mid");
        } else if( !strcmp( $command, "loud" ) ) {
            touch("$control" . "loud");
        }

        $playtrack = $_GET[ "play" ];
        $trackid = $_GET[ "trackid" ];
        if( !strcmp( $playtrack, "please" ) ) {
            $fp = fopen( "$control" . "track", 'w' );
            fwrite( $fp, $trackid );
            fclose( $fp );
            touch("$control" . "loadtrack");
            sleep( 1 );
        }
    ?>

    <p><table class="mp3box" width="80%">
    <tr><td class="label">Album
        <td class="title"><?php readfile("$control" . "nowplaying-album"); ?>
    <tr><td class="label">Track
        <td class="title"><?php readfile("$control" . "nowplaying-track"); ?>
    </table></p>

    <p><table class="mp3box" width="40%">
    <tr><td class="button"><a href="?command=quiet">Quiet</a>
        <td class="button"><a href="?command=mid">Medium</a>
        <td class="button"><a href="?command=loud">Loud</a>
    </table></p>

    <p><table class="mp3box" width="80%">
       <?php readfile("$control" . "nowplaying-tracklist"); ?>
    </table></p>

    <h3 class="center"><a href="/">back to the album list</a></h3>

</div>
</body>
</html>
